#if !defined(AFX_CVVIEW_H__76D0794F_BA05_455F_8459_30266D896BD9__INCLUDED_)
#define AFX_CVVIEW_H__76D0794F_BA05_455F_8459_30266D896BD9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CvView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCvView form view

class COpen_GL_CVDoc;

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CCvView : public CFormView
{
protected:
	CCvView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CCvView)

// Form Data
public:
	//{{AFX_DATA(CCvView)
	enum { IDD = IDD_DIALOG_CV };
	CStatic	m_ctrlCVCam2;
	CStatic	m_ctrlCvCam1;
	//}}AFX_DATA

// Attributes
public:
	COpen_GL_CVDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCvView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CCvView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CCvView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#ifndef _DEBUG  // debug version in Open_GL_CVView.cpp
inline COpen_GL_CVDoc* CCvView::GetDocument()
   { return (COpen_GL_CVDoc*)m_pDocument; }
#endif
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CVVIEW_H__76D0794F_BA05_455F_8459_30266D896BD9__INCLUDED_)
